/***
 * sendAEOpen.c
 *
 *  This hypercard XFCN will send a AE open command to some target
 *  application.  The error returned will be returned to the caller.
 *
 *  Gordon Watts July '91 Copyright.
 *
 ***/
#include	<HyperXCmd.h>
#include "hyperUtil.h"
#include "Util.h"

/**
 ** some config defines...
 **/

#define usageString "sendAEOpen"
#define versionString "sendAEOpen v1.0 Gordon Watts"
#define badString "This should never be returned!  BuG! Bug!"

/**
 * main 
 *
 *  Main routine for this xfunction.
 *
 **/
pascal void main(XCmdPtr paramPtr)
{
	Boolean done = false;
	
	/**
	 ** Set up default return values
	 **/

	paramPtr -> returnValue = strToHandle(paramPtr, badString);
	paramPtr -> passFlag = false;
	
	/**
	 ** First, do the usage messages: a "!" and a "?".
	 **/
	
	if (paramPtr -> paramCount == 1) {
	
		switch (**(paramPtr -> params[0])) {
		
			case '!':
				paramPtr -> returnValue = strToHandle (paramPtr, 
										versionString);
				done = true;
				break;
			
			case '?':
				paramPtr -> returnValue = strToHandle (paramPtr,
										usageString);
				done = true;
				break;
			
		}
	}

	/**
	 ** Ok.  Next job, we had better make sure that we have the
	 ** correct number of parameters
	 **/
	
	
	return;
}
